Core
ModelsExpand Collapse
class ErrorData: …
class ErrorData: …
One of the following:
class ValidationErrorData: …
class ValidationErrorData: …
kind: Literal["validation"]
General error category
Useful to match against for clients that require custom logic depending on the type of error encountered
class ErrorData: …
class ErrorData: …
Literal["entity_not_found", "path_invalid", "path_unknown", 10 more]
entity_not_found - Route matched, but the requested entity does not exist or could not be found
path_invalid - Invalid path parameter
path_unknown - Path 404s for accept json responses
path_parameter_invalid - Invalid path parameter
query_invalid - Invalid query parameter
query_parameter_invalid - Query parameter was invalid (incorrect type, unknown enum value, etc)
query_parameter_unknown - Unrecognized query parameter
query_parameter_missing - A required query Parameter was not included or was empty
json_invalid - Invalid json body
json_decode - JSON body decode
json_body_deserialize_failure - JSON body deserialization
content_type_unsupported - Invalid Accept header in request
internal - Internal API server errors (5xx)
Literal["entity_not_found", "path_invalid", "path_unknown", 10 more]
entity_not_found- Route matched, but the requested entity does not exist or could not be foundpath_invalid- Invalid path parameterpath_unknown- Path 404s for accept json responsespath_parameter_invalid- Invalid path parameterquery_invalid- Invalid query parameterquery_parameter_invalid- Query parameter was invalid (incorrect type, unknown enum value, etc)query_parameter_unknown- Unrecognized query parameterquery_parameter_missing- A required query Parameter was not included or was emptyjson_invalid- Invalid json bodyjson_decode- JSON body decodejson_body_deserialize_failure- JSON body deserializationcontent_type_unsupported- Invalid Accept header in requestinternal- Internal API server errors (5xx)
One of the following:
class ErrorResponse: …
class ErrorResponse: …
Error information. Always set for unsuccessful responses
Error information. Always set for unsuccessful responses
One of the following:
class ValidationErrorData: …
class ValidationErrorData: …
kind: Literal["validation"]
General error category
Useful to match against for clients that require custom logic depending on the type of error encountered
class ErrorData: …
class ErrorData: …
class ValidationErrorData: …
class ValidationErrorData: …
kind: Literal["validation"]
General error category
Useful to match against for clients that require custom logic depending on the type of error encountered